from setuptools import setup, find_packages

# Read the content of your README file
with open("README.md", "r") as fh:
    long_description = fh.read()

# Read the content of your requirements file
with open("requirements.txt", "r") as fh:
    requirements = fh.read().splitlines()

setup(
    name="balloon_app",
    version="0.1.0",
    author="David Hofman",
    author_email="hofmanda97@gmail.com",
    description="A software for steerable balloon optimization and simulation.",
    long_description=long_description,
    long_description_content_type="text/markdown",
    url="https://github.com/hofeman/App",
    packages=find_packages(),
    include_package_data=True,
    classifiers=[
        "Programming Language :: Python :: 3",
        "License :: OSI Approved :: MIT License",
        "Operating System :: OS Independent",
    ],
    python_requires=">=3.6",
    install_requires=requirements,
    entry_points={
        "console_scripts": [
            "balloon_app=main:balloon_app",
        ],
    },
    test_suite="tests",
)
